// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
#include <qtooltip.h>
#include <qstring.h>
#include <qpushbutton.h>
#include <qwidget.h>
#include "OmSourceButton.h"

OmSourceButton::OmSourceButton(QWidget *parent, QString title, 
       int x, int y, int width, int height, QString help) :
       QPushButton(title, parent)
{
    
    setGeometry(x, y, width, height);
    setPaletteBackgroundColor(QColor(128, 128, 128));    

    if (help)   
        QToolTip::add(this, help);
};
OmSourceButton::OmSourceButton(QWidget *parent, QString title,  QString help) :
       QPushButton(title, parent)
{
    
    setPaletteBackgroundColor(QColor(128, 128, 128));    

    if (help)   
        QToolTip::add(this, help);
};
OmSourceButton::OmSourceButton(QWidget *parent, QString title, 
       int x, int y, int height, QString help) :
       QPushButton(title, parent)
{
    
  
   
   
   QFontMetrics fm = this->fontMetrics();
 
   int pixelWidth = fm.width(title );
    
       
   setGeometry(x, y, pixelWidth + 8, height);

   
   //   setAlignment( Qt::AlignHCenter | Qt::AlignVCenter );
    //    setPaletteBackgroundColor(QColor(255, 0, 0));    
    //    setPaletteBackgroundColor(QColor(0, 0, 255));    
   setPaletteBackgroundColor(QColor(128, 128, 128));    

    if (help)   
        QToolTip::add(this, help);

};



