// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
#ifndef OmSourceTableDlg_h
#define OmSourceTableDlg_h
#include <qapplication.h>
#include <qdialog.h>

#include "OmSourcePrint.h"
#include <vector>

class QTable;
class OmSourceButton;
class QPrinter;
class QPainter;
class QFontMetrics;
class  QPaintDeviceMetrics;
class ExtractionRegion;
class spectrumRegion;

class TableDlg : public QDialog, OmSourcePrint
{
    Q_OBJECT
public:


         
private slots:
    
    void selectionChanged(int row, int col);
    void deleteList();
    void printTable();

    void displaySpectrum( int no );


 signals:
    void selectionChanged(int row);
    void deleteSourceList();

    
public:
    TableDlg(QWidget *parent,  vector<spectrumRegion>* extractionRegionList);

    void Print(QPrinter* printer, QPainter* p,  
			 QFontMetrics* fm,  QPaintDeviceMetrics* metrics);


 private:
   
   
    void updateTable(spectrumRegion* extractionRegion);

    QTable *_table;

    OmSourceButton*     _printSourceListBtn;
    OmSourceButton*     _deleteListBtn;




};

#endif



